#
# Conditional build:
%bcond_with	doc	# Sphinx documentation (TODO: complete dependencies)
%bcond_without	tests	# unit tests

Summary:	Sphinx extension to show tooltips with content embedded when hover a reference
Summary(pl.UTF-8):	Rozszerzenie Sphinksa pokazujące podpowiedzi z osadzoną treścią po najechaniu na odnośnik
Name:		python3-sphinx-hoverxref
Version:	1.4.2
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/sphinx-hoverxref/
Source0:	https://files.pythonhosted.org/packages/source/s/sphinx-hoverxref/sphinx_hoverxref-%{version}.tar.gz
# Source0-md5:	1f04e120b5c62c25c877597ed80ce943
URL:		https://pypi.org/project/sphinx-hoverxref/
BuildRequires:	python3-build
BuildRequires:	python3-flit_core >= 3.2
BuildRequires:	python3-flit_core < 4
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-sphinx-notfound-page
BuildRequires:	python3-sphinx-prompt
BuildRequires:	python3-sphinx-version-warning
BuildRequires:	python3-sphinx_autoapi
BuildRequires:	python3-sphinx_autobuild
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	python3-sphinx_tabs
BuildRequires:	python3-sphinxcontrib-bibtex >= 2.6.0
BuildRequires:	python3-sphinxcontrib-jquery
BuildRequires:	python3-sphinxemoji
BuildRequires:	sphinx-pdg-3 >= 5.0
%endif
# replace with other requires if defined in setup.py
Requires:	python3-modules >= 1:2.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
sphinx-hoverxref is a Sphinx extension to add tooltips on the cross
references of the documentation with the content of the linked
section.

%description -l pl.UTF-8
sphinx-hoverxref to rozszerzenie Sphinksa do dodawania podpowiedzi na
odnośnikach w dokumentacji z treścią podłączonej sekcji.

%package apidocs
Summary:	API documentation for Python sphinx-hoverxref module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona sphinx-hoverxref
Group:		Documentation

%description apidocs
API documentation for Python sphinx-hoverxref module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona sphinx-hoverxref.

%prep
%setup -q -n sphinx_hoverxref-%{version}

%build
%py3_build_pyproject

%if %{with doc}
PYTHONPATH=$(pwd) \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.rst LICENSE README.rst
%{py3_sitescriptdir}/hoverxref
%{py3_sitescriptdir}/sphinx_hoverxref-%{version}.dist-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Mon Jul 14 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-sphinx-hoverxref.git;a=log;h=master

* Mon Jul 14 2025 Jakub Bogusz <qboosh@pld-linux.org> d343335
- new, no docs yet

